
Foreman - Refactor #32092

Tracker # 30160 (New): Extract Puppet ENC to a plugin

Refactor # 31658 (New): Extract puppet bits from Host

Add puppet related macros for provisioning templates

03/14/2021 01:06 AM - Ondřej Ezr

Status: Closed   

Priority: Normal   

Assignee: Ondřej Ezr   

Category: Puppet integration   

Target version:    

Difficulty:  Fixed in Releases: 2.5.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8423

  

Description

Don't expect the Puppet info to be around in provisioning templates.

Related issues:

Related to Foreman - Bug #32772: puppet.conf template do not render after int... Closed

Associated revisions

Revision c1104d00 - 04/14/2021 08:20 AM - Ondřej Ezr

Fixes #32092 - add puppet safe guard

Hides puppetserver and puppet environment behind macros, that can alter

implementation much more easily and even be patched from plugin.

History

#1 - 04/01/2021 12:01 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ondřej Ezr

- Pull request https://github.com/theforeman/foreman/pull/8423 added

#2 - 04/13/2021 11:37 PM - Ondřej Ezr

- Subject changed from Add plugin guard to puppet related provisioning templates to Add puppet related macros for provisioning templates

#3 - 04/14/2021 08:20 AM - The Foreman Bot

- Fixed in Releases 2.5.0 added

#4 - 04/14/2021 09:01 AM - Ondřej Ezr

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|c1104d0046d7d5d53bac7753b9be0b35361d9ef1.

#5 - 04/14/2021 12:26 PM - Ondřej Ezr

- Category set to Puppet integration

#6 - 04/14/2021 12:27 PM - Ondřej Ezr

- Description updated

#7 - 06/10/2021 01:31 PM - Ondřej Ezr

- Related to Bug #32772: puppet.conf template do not render after introduction of puppet host params added
